Summary:	Utilities for managing the JFS filesystem.
Name:		jfsutils
Version:	1.1.4
Release:	1.5.1
Source0:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfsutils-%{version}.tar.gz
Group:		System Environment/Base
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man?/*
  %doc AUTHORS COPYING INSTALL NEWS README ChangeLog
  %attr(0500,root,root)	%{_root_sbindir}/*

%prep
%setup -q

%build
  CFLAGS="${RPM_OPT_FLAGS}" ./configure --mandir=%{_mandir}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=$RPM_BUILD_ROOT
  rm -f $RPM_BUILD_ROOT/%{_mandir}/*/*.gz

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 12 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.4, Release 1.5.1
  - New upstream release.

* Tue Jun 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.17, Release 1.5.0
  - Initial build for EnGarde.
